function []= Reset_MCHE_temp(x0_temp,d,h) 
hyCase = h.Activedocument;
sol=hyCase.Solver;
f = hyCase.Flowsheet;

sol.CanSolve = 0 ;

%Reset optimization variables

f.MaterialStreams.Item('MR10').PressureValue = x0_temp(1) ;
f.MaterialStreams.Item('MR17').PressureValue = x0_temp(2) ; 
f.MaterialStreams.Item('MR10').MolarFlowValue = x0_temp(3) ;
f.MaterialStreams.Item('NG5').TemperatureValue = x0_temp(4) ;
f.MaterialStreams.Item('MR12').TemperatureValue = x0_temp(5) ;
f.MaterialStreams.Item('MR15').TemperatureValue = x0_temp(6) ;
f.MaterialStreams.Item('Subcooled NG').TemperatureValue = x0_temp(7) ;
f.MaterialStreams.Item('MR16').TemperatureValue = x0_temp(8) ;
f.MaterialStreams.Item('C2').MolarFlowValue = x0_temp(9) ;
f.MaterialStreams.Item('C3').MolarFlowValue = x0_temp(10) ;
f.MaterialStreams.Item('N2').MolarFlowValue = x0_temp(11) ;

%Reset disturbances
f.MaterialStreams.Item('NG4').TemperatureValue = d(1) ; % degrees C
f.MaterialStreams.Item('NG4').PressureValue = d(2) ; % kilopascal
f.MaterialStreams.Item('NG4').MolarFlowValue = d(3); %mol/s
f.MaterialStreams.Item('MR10').TemperatureValue = d(1);

sol.CanSolve = 1 ;