function []= Reset_MCHE_area(x0_area,d,h) 

hyCase = h.Activedocument;
sol=hyCase.Solver;
f = hyCase.Flowsheet;

sol.CanSolve = 0 ;


%Reset optimization variables

f.MaterialStreams.Item('MR10').PressureValue = x0_area(1) ;
f.MaterialStreams.Item('MR17').PressureValue = x0_area(2) ; 
f.MaterialStreams.Item('MR10').MolarFlowValue = x0_area(3) ;
f.MaterialStreams.Item('C2').MolarFlowValue = x0_area(4) ;
f.MaterialStreams.Item('C3').MolarFlowValue = x0_area(5) ;
f.MaterialStreams.Item('N2').MolarFlowValue = x0_area(6) ;
f.MaterialStreams.Item('MR16a').TemperatureValue = x0_area(7) ;
f.MaterialStreams.Item('MR19a').TemperatureValue = x0_area(8) ;

%Reset disturbances
f.MaterialStreams.Item('NG4').TemperatureValue = d(1) ; % degrees C
f.MaterialStreams.Item('NG4').PressureValue = d(2) ; % kilopascal
f.MaterialStreams.Item('NG4').MolarFlowValue = d(3); %mol/s
f.MaterialStreams.Item('MR10').TemperatureValue = d(1);

f.Operations.Item('RCY-2').IsIgnored = 0 ;
f.Operations.Item('RCY-3').IsIgnored = 0 ;

sol.CanSolve = 1 ;